package com.usky.dxtop.controller.web;


import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author yq
 * @date 2021/8/23 13:51
 */
@Slf4j
@RestController
public class TestController {

    @GetMapping("test")
    public void test(@RequestParam(required = false) String merchantNo,
                     @RequestParam(required = false) String storeNo,
                     @RequestParam(required = false) String trxamt,
                     @RequestParam(required = false) String payTime,
                     @RequestParam(required = false) String chnltrxid,
                     @RequestParam(required = false) String trxstatus,
                     @RequestParam(required = false) String orderNo,
                     @RequestParam(required = false) String merchantOrderNo,
                     @RequestParam(required = false) String acct,
                     @RequestParam(required = false) String fee,
                     @RequestParam(required = false) String note,
                     @RequestParam(required = false) String label,
                     @RequestParam(required = false) String chnldata,
                     @RequestParam(required = false) String initamt,
                     @RequestParam(required = false) String groupNo,
                     @RequestParam(required = false) String employee,
                     @RequestParam(required = false) String sign){
        log.info("东信充值成功");
        log.info(merchantNo);
        log.info(storeNo);
        log.info(trxamt);
        log.info(payTime);
        log.info(chnltrxid);
        log.info(trxstatus);
        log.info(orderNo);
        log.info(merchantOrderNo);
        log.info(acct);
        log.info(fee);
        log.info(note);
        log.info(label);
        log.info(chnldata);
        log.info(initamt);
        log.info(groupNo);
        log.info(employee);
        log.info(sign);
        log.info("东信充值结束");

    }

}
